#
# spec file for package kolourpaint
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kolourpaint
Version:        4.12.1
Release:        0
# See bnc#717722 for license details
Summary:        Paint Program
License:        BSD-2-Clause and LGPL-2.1+ and GFDL-1.2+
Group:          Productivity/Graphics/Bitmap Editors
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRequires:  libqimageblitz-devel
BuildRequires:  oxygen-icon-theme-large
BuildRequires:  xz
Recommends:     ksaneplugin
Provides:       kde4-kolourpaint = 4.3.0
Obsoletes:      kde4-kolourpaint < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Paint program for KDE

%prep
%setup -q -n %{name}-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  %suse_update_desktop_file kolourpaint       RasterGraphics
  %fdupes -s %{buildroot}%{_datadir}
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%_kde4_bindir/kolourpaint
%_kde4_libdir/libkolourpaint_lgpl.so*
%_kde4_applicationsdir/kolourpaint.desktop
%{_datadir}/icons/hicolor/*/apps/kolourpaint.*
%_kde4_appsdir/kolourpaint/
%_kde4_htmldir/en/kolourpaint/

%changelog
